# Generated by Django 2.2.9 on 2020-01-03 11:59

import almoxarifado.models
import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('usuarios', '0002_remove_usuario_area'),
    ]

    operations = [
        migrations.CreateModel(
            name='Categoria',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=200)),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name_plural': 'Categorias',
                'ordering': ['nome'],
            },
        ),
        migrations.CreateModel(
            name='Fabricante',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=200)),
                ('site', models.URLField()),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name_plural': 'Fabricantes',
                'ordering': ['data_criacao'],
            },
        ),
        migrations.CreateModel(
            name='Item',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo', models.CharField(choices=[('E', 'Equipamento'), ('MC', 'Material de consumo')], default='MC', max_length=2)),
                ('patrimonio', models.CharField(blank=True, default='', max_length=100)),
                ('foto', models.ImageField(upload_to=almoxarifado.models.UploadToPathAndRename('upload/almoxarifado_item'))),
                ('unidade_medida', models.CharField(choices=[('E', 'Equipamento'), ('MC', 'Material de consumo')], default='MC', max_length=2)),
                ('quantidade', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=8)),
                ('preco_aquisicao', models.DecimalField(blank=True, decimal_places=2, max_digits=8)),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Categoria')),
            ],
            options={
                'verbose_name_plural': 'Equipamentos',
                'ordering': ['categoria', 'modelo'],
            },
        ),
        migrations.CreateModel(
            name='Sala',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=200)),
                ('sigla', models.CharField(max_length=20)),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
                ('area', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='sala_area', to='usuarios.Area')),
            ],
            options={
                'verbose_name_plural': 'Salas',
                'ordering': ['sigla'],
            },
        ),
        migrations.CreateModel(
            name='SolicitacaoEmprestimo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('justificativa', models.CharField(max_length=2000)),
                ('horario_entrega', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(choices=[('1', 'Registrado'), ('2', 'Em separação'), ('3', 'Disponível'), ('4', 'Retirado'), ('5', 'Pendente'), ('6', 'Finalizado')], default='1', max_length=2)),
                ('data_registro', models.DateTimeField(auto_now_add=True)),
                ('data_em_seperacao', models.DateTimeField(auto_now_add=True)),
                ('data_disponivel', models.DateTimeField(auto_now_add=True)),
                ('data_retirado', models.DateTimeField(auto_now_add=True)),
                ('data_devolucao', models.DateTimeField(auto_now_add=True)),
                ('requerente', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='usuarios.Usuario')),
                ('sala_entrega', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Sala')),
                ('tecnico', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='solicitacaoemprestimo_tecnico', to='usuarios.Usuario')),
            ],
        ),
        migrations.CreateModel(
            name='OcorrenciaItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('texto', ckeditor_uploader.fields.RichTextUploadingField()),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Item')),
            ],
        ),
        migrations.CreateModel(
            name='Modelo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=200)),
                ('foto', models.ImageField(upload_to=almoxarifado.models.UploadToPathAndRename('upload/modelo'))),
                ('site', models.URLField()),
                ('data_criacao', models.DateTimeField(auto_now_add=True)),
                ('categoria', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Categoria')),
                ('fabricante', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='modelo_fabricante', to='almoxarifado.Fabricante')),
            ],
            options={
                'verbose_name_plural': 'Modelos',
                'ordering': ['nome'],
            },
        ),
        migrations.CreateModel(
            name='ItemSolicitado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantidade_solicitada', models.PositiveIntegerField(default=1)),
                ('quantidade_aprovada', models.PositiveIntegerField(default=1)),
                ('justificativa', models.CharField(blank=True, max_length=1000)),
                ('pronto_no_horario_requerente', models.BooleanField(default=True)),
                ('problema_reportado_requerente', models.BooleanField(default=False)),
                ('descricao_problema_requerente', models.CharField(max_length=100)),
                ('devolvido', models.BooleanField(default=False)),
                ('item_voltou_com_defeito', models.BooleanField(default=False)),
                ('quantidade_retornada', models.IntegerField(default=0)),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Item')),
                ('solicitacao', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.SolicitacaoEmprestimo')),
            ],
        ),
        migrations.AddField(
            model_name='item',
            name='localizacao_atual',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='equipamento_localizacaoatual', to='almoxarifado.Sala'),
        ),
        migrations.AddField(
            model_name='item',
            name='localizacao_padrao',
            field=models.ForeignKey(blank=True, on_delete=django.db.models.deletion.PROTECT, related_name='equipamento_localizacaopadrao', to='almoxarifado.Sala'),
        ),
        migrations.AddField(
            model_name='item',
            name='modelo',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='almoxarifado.Modelo'),
        ),
    ]
